Daemons — Docs - Rocketeers app

  [ Rocketeers ](/)   

[Login](https://rocketeersapp.com/login) 

  Documentation menu   

On this page

 [Docs](https://rocketeersapp.com/docs) / [Using the API](https://rocketeersapp.com/docs/api)

    Copy as Markdown 

Daemons
=======

List the daemons running across the team's environments.

1. [Endpoint](#content-endpoint)
2. [Query parameters](#content-query-parameters)
3. [Example request](#content-example-request)
4. [Example response](#content-example-response)

Returns the daemons running across the team's environments. Results are scoped to the environments belonging to the team.

[\#](#content-endpoint "Permalink")Endpoint
-------------------------------------------

 ```
GET /api/{team}/daemons

```

Required ability: `daemons:read`

[\#](#content-query-parameters "Permalink")Query parameters
-----------------------------------------------------------

 Parameter Type Default Maximum Description  `per_page` integer 20 50 Number of objects per page. `page` integer 1 N/A The page to retrieve.[\#](#content-example-request "Permalink")Example request
---------------------------------------------------------

 ```
curl "https://rocketeersapp.com/api/your-team/daemons?per_page=20" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Accept: application/json"

```

[\#](#content-example-response "Permalink")Example response
-----------------------------------------------------------

 ```
{
  "data": [
    {
      "id": 1,
      "name": "horizon",
      "command": "php artisan horizon",
      "username": "deployer",
      "directory": "/home/deployer/apollo/current",
      "processes": 1,
      "environment_id": 12,
      "server_id": 1
    },
    {
      "id": 2,
      "name": "queue-worker",
      "command": "php artisan queue:work --tries=3",
      "username": "deployer",
      "directory": "/home/deployer/apollo/current",
      "processes": 4,
      "environment_id": 12,
      "server_id": 1
    }
  ],
  "links": {
    "first": "https://rocketeersapp.com/api/your-team/daemons?page=1",
    "last": "https://rocketeersapp.com/api/your-team/daemons?page=2",
    "prev": null,
    "next": "https://rocketeersapp.com/api/your-team/daemons?page=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "last_page": 2,
    "per_page": 20,
    "to": 20,
    "total": 22,
    "path": "https://rocketeersapp.com/api/your-team/daemons"
  },
  "results": 20,
  "served_in": "11.88ms"
}

```

[ Previous  Repositories](https://rocketeersapp.com/docs/api/repositories) [ Next   Schedulers](https://rocketeersapp.com/docs/api/schedulers)
